//
//  ContentView.swift
//  LearnSwiftUI
//
//  Created by Mohammad Azam on 1/30/22.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        ZStack(alignment: .center) {
            
            Rectangle()
                    .fill(.red)
                .frame(width: 100, height: 100)
                .offset(y: -100)
                .rotationEffect(.degrees(45))
                
            Rectangle()
                .fill(.green)
                .frame(width: 100, height: 100)
                .offset(y: -50)
                .rotationEffect(.degrees(85))
            
            Rectangle()
                .fill(.blue)
                .frame(width: 100, height: 100)
                .offset(y: 0)
                .rotationEffect(.degrees(125))
            
        }.frame(maxWidth: .infinity, maxHeight: .infinity, alignment: .center)
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
